Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.export.modules.repository
Class ResourceModuleConfiguration

    java.lang.Object
      com.jaspersoft.jasperserver.export.modules.repository.ResourceModuleConfiguration

    public class ResourceModuleConfiguration

extends java.lang.Object

Version:
  $Id: ResourceModuleConfiguration.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`ResourceModuleConfiguration()`

Method Summary
`UserAuthorityService` | `getAuthorityService()`
`ImplementationObjectFactory` | `getCastorBeanMappings()`
`java.lang.String` | `getFolderDetailsFileName()`
`java.lang.String` | `getFolderIndexElement()`
`java.lang.String` | `getIndexFileName()`
`java.lang.String` | `getPermissionRecipientRole()`
`java.lang.String` | `getPermissionRecipientUser()`
`ObjectPermissionService` | `getPermissionService()`
`RepositoryService` | `getRepository()`
`ResourceDataProvider` | `getResourceDataProvider(java.lang.String providerId)`
`java.util.Map` | `getResourceDataProviders()`
`java.lang.String` | `getResourceIndexElement()`
`java.lang.String` | `getResourcesDirName()`
`ObjectSerializer` | `getSerializer()`
`void` | `setAuthorityService(UserAuthorityService authorityService)`
`void` | `setCastorBeanMappings(ImplementationObjectFactory castorBeanMappings)`
`void` | `setFolderDetailsFileName(java.lang.String folderDetailsFileName)`
`void` | `setFolderIndexElement(java.lang.String folderIndexElement)`
`void` | `setIndexFileName(java.lang.String indexFileName)`
`void` | `setPermissionRecipientRole(java.lang.String permissionRecipientRole)`
`void` | `setPermissionRecipientUser(java.lang.String permissionRecipientUser)`
`void` | `setPermissionService(ObjectPermissionService permissionService)`
`void` | `setRepository(RepositoryService repository)`
`void` | `setResourceDataProviders(java.util.Map resourceDataProviders)`
`void` | `setResourceIndexElement(java.lang.String resourceIndexElement)`
`void` | `setResourcesDirName(java.lang.String resourcesDirName)`
`void` | `setSerializer(ObjectSerializer serializer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ResourceModuleConfiguration

    public ResourceModuleConfiguration()

Method Detail

### getCastorBeanMappings

    public ImplementationObjectFactory getCastorBeanMappings()

### setCastorBeanMappings

    public void setCastorBeanMappings(ImplementationObjectFactory castorBeanMappings)

### getFolderDetailsFileName

    public java.lang.String getFolderDetailsFileName()

### setFolderDetailsFileName

    public void setFolderDetailsFileName(java.lang.String folderDetailsFileName)

### getFolderIndexElement

    public java.lang.String getFolderIndexElement()

### setFolderIndexElement

    public void setFolderIndexElement(java.lang.String folderIndexElement)

### getRepository

    public RepositoryService getRepository()

### setRepository

    public void setRepository(RepositoryService repository)

### getResourceDataProviders

    public java.util.Map getResourceDataProviders()

### setResourceDataProviders

    public void setResourceDataProviders(java.util.Map resourceDataProviders)

### getResourceDataProvider

    public ResourceDataProvider getResourceDataProvider(java.lang.String providerId)

### getResourceIndexElement

    public java.lang.String getResourceIndexElement()

### setResourceIndexElement

    public void setResourceIndexElement(java.lang.String resourceIndexElement)

### getResourcesDirName

    public java.lang.String getResourcesDirName()

### setResourcesDirName

    public void setResourcesDirName(java.lang.String resourcesDirName)

### getSerializer

    public ObjectSerializer getSerializer()

### setSerializer

    public void setSerializer(ObjectSerializer serializer)

### getIndexFileName

    public java.lang.String getIndexFileName()

### setIndexFileName

    public void setIndexFileName(java.lang.String indexFileName)

### getAuthorityService

    public UserAuthorityService getAuthorityService()

### setAuthorityService

    public void setAuthorityService(UserAuthorityService authorityService)

### getPermissionService

    public ObjectPermissionService getPermissionService()

### setPermissionService

    public void setPermissionService(ObjectPermissionService permissionService)

### getPermissionRecipientRole

    public java.lang.String getPermissionRecipientRole()

### setPermissionRecipientRole

    public void setPermissionRecipientRole(java.lang.String permissionRecipientRole)

### getPermissionRecipientUser

    public java.lang.String getPermissionRecipientUser()

### setPermissionRecipientUser

    public void setPermissionRecipientUser(java.lang.String permissionRecipientUser)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.